
#include <Adafruit_NeoPixel.h>

// Which pin on the Arduino is connected to the NeoPixels?
#define PIN        2

// How many NeoPixels are attached to the Arduino?
#define NUMPIXELS 136 // Popular NeoPixel ring size

Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

#define DELAYVAL 300 // Time (in milliseconds) to pause between pixels
#define LAG 1
int pos=0;
int dir=1;

void setup() {
  pixels.begin(); // INITIALIZE NeoPixel strip object (REQUIRED)
}

void loop() {

  pixels.clear(); // Set all pixel colors to 'off'
  pos+=dir;
  if ((pos>=NUMPIXELS) or (pos<0)){
    dir=-dir;
    pos+=dir;
    }

  for(int i=0; i<NUMPIXELS; i++) { // For each pixel...
    if (abs(i-pos)<LAG){    
    pixels.setPixelColor(i, pixels.Color(0,255-abs(i-pos)*255/LAG,0));}
    else
    {    
    pixels.setPixelColor(i, pixels.Color(0,0,0));}
  }
    pixels.show();   // Send the updated pixel colors to the hardware.
    delay(DELAYVAL); // Pause before next pass through loop
 }